/*
 * @Author: WuWei
 * @Date: 2020-05-27 10:42:32
 * @LastEditors: WuWei
 * @LastEditTime: 2020-05-27 10:45:55
 * @Description:
 */
class SearchResidentListModel {
  String? identity;
  String? name;
  String? mobile;
  String? id;
  String? buildName;
  String? unitName;
  String? roomNo;

  SearchResidentListModel({
    this.identity,
    this.name,
    this.mobile,
    this.id,
    this.buildName,
    this.unitName,
    this.roomNo,
  });

  SearchResidentListModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    identity = map['identity'];
    name = map['name'];
    mobile = map['mobile'];
    id = map['id'];
    buildName = map['buildName'];
    unitName = map['unitName'];
    roomNo = map['roomNo'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['identity'] = this.identity;
    json['name'] = this.name;
    json['mobile'] = this.mobile;
    json['id'] = this.id;
    json['buildName'] = this.buildName;
    json['unitName'] = this.unitName;
    json['roomNo'] = this.roomNo;

    return json;
  }
}
